Index: templates/includes/header.php
===================================================================
--- templates/includes/header.php	(revision 2051)
+++ templates/includes/header.php	(working copy)
@@ -159,6 +159,7 @@
 			'pt' => 'Português', // Portuguese
 			'pt-BR' => 'Português brasileiro', // Portuguese
 			'tr' => 'Türkçe',
+			'ja' => '日本語',
 		);
 		
 		$textarray = array();
Index: modules/core/dictionaries/frontpage.php
===================================================================
--- modules/core/dictionaries/frontpage.php	(revision 2051)
+++ modules/core/dictionaries/frontpage.php	(working copy)
@@ -27,6 +27,7 @@
 		'pl' => 'Witaj',
 		'pt' => 'Bem vindo',
 		'tr' => 'Hoşgeldiniz',
+		'ja' => 'ようこそ',
 	),
 	'configuration' => array (
 		'no' => 'Konfigurasjon',
@@ -45,6 +46,7 @@
 		'pl' => 'Konfiguracja',
 		'pt' => 'Configuração',
 		'tr' => 'Konfigurasyon',
+		'ja' => '設定',
 	),
 	'metadata' => array (
 		'no' => 'Metadata',
@@ -63,6 +65,7 @@
 		'pl' => 'Metadane',
 		'pt' => 'Metadados',
 		'tr' => 'Üstveri (Metadata)',
+		'ja' => 'メタデータ',
 	),
 	'tools' => array (
 		'no' => 'Verktøy',
@@ -81,6 +84,7 @@
 		'pl' => 'Narzędzia',
 		'pt' => 'Ferramentas',
 		'tr' => 'Araçlar',
+		'ja' => 'ツール',
 	),
 	'login_as_admin' => array (
 		'no' => 'Login som administrator',
@@ -99,6 +103,7 @@
 		'pl' => 'Zaloguj się jako administrator',
 		'pt' => 'Entrar como administrador',
 		'tr' => 'Yönetici olarak giriş',
+		'ja' => '管理者でログイン',
 	),
 	'loggedin_as_admin' => array (
 		'no' => 'Du er logget inn som administrator',
@@ -117,6 +122,7 @@
 		'pl' => 'Jesteś zalogowany jako administrator',
 		'pt' => 'Está autenticado como administrador',
 		'tr' => 'Yönetici olarak girdiniz',
+		'ja' => '管理者でログインしています',
 	),
 	'show_metadata' => array (
 		'no' => 'Vis metadata',
@@ -135,6 +141,7 @@
 		'pl' => 'Wyświetl metadane',
 		'pt' => 'Mostrar meta-dados',
 		'tr' => 'Üstveri (Metadata) göster',
+		'ja' => 'メタデータを表示',
 	),
 	'intro' => array (
 		'no' => '<strong>Gratulerer</strong>, du har nå installert simpleSAMLphp. Dette er startsiden til din simpleSAMLphp installasjon, hvor du vil finne eksempler, diagnostikk, metadata og til og med lenker til relevant dokumentasjon.',
@@ -155,6 +162,7 @@
 		'pt' => '<strong>Parabéns</strong>, o software simpleSAMLphp foi instalado com sucesso. Esta é a página inicial da sua instalação, onde encontrará ligações para páginas de teste, de diagnóstico, de metadados e de documentação relevante.    ',
 		'pt-BR' => '<strong>Parabéns</strong>, você instalou com sucesso o simpleSAMLphp. Esta é a página de introdução de sua instalação, onde você encontrará links para as páginas de teste, diagnóstico, metadata e para a documentação.',
 		'tr' => '<strong>Tebrikler</strong>, simpleSAMLphp\'i başarıyla yüklediniz. Bu sayfa, test örneklerine, kontrollere, üstveriye (metadata) ve hatta ilgili dokümanlara bağlantılar bulabileceğiniz, kurulumun başlangıç sayfasıdır.',
+		'ja' => '<strong>おめでとう</strong>, あなたは simpleSAMLphp のインストールに成功しました。このページは設定を行うためのスタートページです。テスト、診断、メタデータや関連するドキュメントへのリンクを見つけるでしょう。',
 	),
 	'useful_links_header' => array (
 		'no' => 'Nyttige lenker for denne installasjonen',
@@ -175,6 +183,7 @@
 		'pt' => 'Ligações úteis da sua instalação',
 		'pt-BR' => 'Endereços úteis para sua instalação.',
 		'tr' => 'Kurulumunuz için faydalı linkler',
+		'ja' => '設定に便利なリンク集',
 	),
 	'metadata_header' => array (
 		'no' => 'Metadata',
@@ -195,6 +204,7 @@
 		'pt' => 'Metadados  ',
 		'pt-BR' => 'Metadata',
 		'tr' => 'Üstveri (Metadata)',
+		'ja' => 'メタデータ',
 	),
 	'doc_header' => array (
 		'no' => 'Dokumentasjon',
@@ -215,6 +225,7 @@
 		'pt' => 'Documentação',
 		'pt-BR' => 'Documentação',
 		'tr' => 'Dokümantasyon',
+		'ja' => 'ドキュメント',
 	),
 	'checkphp' => array (
 		'no' => 'Sjekker din PHP installasjon',
@@ -235,6 +246,7 @@
 		'pt' => 'Verificação do seu ambiente PHP',
 		'pt-BR' => 'Checando sua instalação do PHP',
 		'tr' => 'PHP kurulumunuz kontrol ediliyor',
+		'ja' => 'PHPの設定を確認',
 	),
 	'about_header' => array (
 		'no' => 'Om simpleSAMLphp',
@@ -255,6 +267,7 @@
 		'pt' => 'Sobre o simpleSAMLphp',
 		'pt-BR' => 'Sobre o simpleSAMLphp',
 		'tr' => 'simpleSAMLphp hakkında',
+		'ja' => 'simpleSAMLphp について',
 	),
 	'about_text' => array (
 		'no' => 'Yey! simpleSAMLphp virker jammen kult, hvor kan jeg finne ut mer om det? Du kan lese mer om simpleSAMLphp på <a href="http://rnd.feide.no/simplesamlphp">simpleSAMLphp sin hjemmeside</a>.',
@@ -275,6 +288,7 @@
 		'pt' => 'Pode encontrar mais informação sobre o <a href="http://rnd.feide.no/simplesamlphp">simpleSAMLphp no blog da Feide RnD</a> em <a href="http://uninett.no">UNINETT</a>.',
 		'pt-BR' => 'Este simpleSAMLphp é uma coisa muito legal, onde posso ler mais sobre isso? Você pode encontrar mais informações sobre o <a href="http://rnd.feide.no/simplesamlphp">simpleSAMLphp no blog de Feide RnD</a> durante a <a href="http://uninett.no">UNINETT</a>.',
 		'tr' => 'Bu simpleSAMLphp oldukça iyiymiş, daha fazla bilgiyi nereden okuyabilirim? <a href="http://uninett.no">UNINETT</a> üzerinde <a href="http://rnd.feide.no/simplesamlphp">Feide RnD blog\'unda simpleSAMLphp </a> hakkında daha fazlasını bulabilirsiniz.',
+		'ja' => 'この simpleSAMLphp は素晴らしいものです。これ以上の説明が必要ですか？こちらのリンクで更なる情報を見つけることが出来ます <a href="http://rnd.feide.no/simplesamlphp">simpleSAMLphp at the Feide RnD blog</a>',
 	),
 	'required' => array (
 		'no' => 'Påkrevd',
@@ -295,6 +309,7 @@
 		'pt' => 'Necessário',
 		'pt-BR' => 'Requerido',
 		'tr' => 'Gerekli',
+		'ja' => '必須',
 	),
 	'required_ldap' => array (
 		'no' => 'Påkrevd for LDAP',
@@ -315,6 +330,7 @@
 		'pt' => 'Necessário para LDAP',
 		'pt-BR' => 'Requerido para o LDAP',
 		'tr' => 'LDAP için gerekli',
+		'ja' => 'LDAPに必要',
 	),
 	'required_radius' => array (
 		'no' => 'Påkrevd for Radius',
@@ -335,6 +351,7 @@
 		'pt' => 'Necessário para Radius',
 		'pt-BR' => 'Requerido para o Radius',
 		'tr' => 'Radius için gerekli',
+		'ja' => 'Radiusに必要',
 	),
 	'optional' => array (
 		'no' => 'Valgfritt',
@@ -355,6 +372,7 @@
 		'pt' => 'Opcional',
 		'pt-BR' => 'Opcional',
 		'tr' => 'İsteğe bağlı',
+		'ja' => '任意',
 	),
 	'reccomended' => array (
 		'no' => 'Anbefalt',
@@ -375,6 +393,7 @@
 		'pt' => 'Recomendado',
 		'pt-BR' => 'Recomendado',
 		'tr' => 'Tavsiye edilen',
+		'ja' => '推奨',
 	),
 	'warnings' => array (
 		'no' => 'Advarsler',
@@ -395,6 +414,7 @@
 		'pt' => 'Avisos',
 		'pt-BR' => 'Avisos',
 		'tr' => 'Uyarılar',
+		'ja' => '警告',
 	),
 	'warnings_https' => array (
 		'no' => '<strong>Du bruker ikke HTTPS</strong> - kryptert kommunikasjon med brukeren. HTTP fungerer utmerket til testformål, men  i et produksjonsmiljø anbefales sterkt å skru på sikker kommunikasjon med HTTPS. [ <a href="http://rnd.feide.no/content/simplesamlphp-maintenance-and-configuration">Les mer i dokumentet: simpleSAMLphp maintenance</a> ]',
@@ -415,6 +435,7 @@
 		'pt' => '<strong>Não está a ser usado HTTPS</strong> - comunicação cifrada com o utilizador. Para ambientes de teste, ligações HTTP são suficientes, mas num ambiente de produção deve ser usado HTTPS. [ <a href="http://rnd.feide.no/content/simplesamlphp-maintenance-and-configuration">Ler mais sobre manutenção do simpleSAMLphp</a> ]',
 		'pt-BR' => '<strong>Você não está utilizando HTTPS</strong> - comunicação encriptada com o usuário. HTTP funciona bem para testes, mas você deve utilizar HTTPS para produção. [ <a href="http://rnd.feide.no/content/simplesamlphp-maintenance-and-configuration">Leia mais sobre manutenção do simpleSAMLphp</a> ]',
 		'tr' => 'Kullanıcıyla şifreli iletişim -<strong>HTTPS kullanmıyorsunuz</strong>. HTTP test amaçlı olarak kullanılabilir, ancak üretim ortamında, HTTPS kullanmalısınız. [ <a href="http://rnd.feide.no/content/simplesamlphp-maintenance-and-configuration">simpleSAMLphp bakımı hakkında daha fazlasını okuyun</a> ]',
+		'ja' => '<strong>あなたはHTTPS(暗号化通信)を行っていません。</strong>HTTPはテスト環境であれば正常に動作します、しかし製品環境ではHTTPSを使用するべきです。[ <a href="http://rnd.feide.no/content/simplesamlphp-maintenance-and-configuration">詳しくは simpleSAMLphp メンテナンス情報を読んでください。</a> ]',
 	),
 	'link_saml2example' => array (
 		'no' => 'SAML 2.0 SP eksempel - test innlogging med SAML 2.0 via din IdP',
@@ -435,6 +456,7 @@
 		'pt' => 'Exemplo de um SP SAML 2.0 - Para testes de login pelo seu IdP',
 		'pt-BR' => 'SAML 2.0 SP exemplo - efetuar login na sua IDP',
 		'tr' => 'SAML 2.0 SP örneği - IdP\'nizden giriş yaparak test edin',
+		'ja' => 'SAML 2.0 SP example - IdP 経由でテストログイン',
 	),
 	'link_shib13example' => array (
 		'no' => 'Shibboleth 1.3 SP eksempel - test innlogging med Shibboleth 1.3 via din IdP',
@@ -455,6 +477,7 @@
 		'pt' => 'Exemplo de um SP Shibboleth 1.3 - Para testes de login pelo seu IdP Shib',
 		'pt-BR' => 'Shibboleth 1.3 SP exemplo - efetuar login na sua Shib IDP',
 		'tr' => 'Shibboleth 1.3 SP örneği - Shib IdP\'nizden giriş yaparak test edin',
+		'ja' => 'Shibboleth 1.3 SP example - Shib IdP 経由でテストログイン',
 	),
 	'link_openidprovider' => array (
 		'no' => 'OpenID Provider side - Alpha versjon (testkode)',
@@ -475,6 +498,7 @@
 		'pt' => 'Site do provider OpenID - versão Alpha (código de teste)',
 		'pt-BR' => 'OpenID Provider site - Versão Alpha (Código de Teste)',
 		'tr' => 'OpenID Provider site - Alpha sürümü (test kodu)',
+		'ja' => 'OpenID プロバイダサイト - アルファバージョン (テストコード)',
 	),
 	'link_diagnostics' => array (
 		'no' => 'Diagnostiser hostnavn, port og protokoll',
@@ -495,6 +519,7 @@
 		'pt' => 'Diagnósticos: hostname, porto e protocolo',
 		'pt-BR' => 'Diagnósticos do host, porta e protocolo',
 		'tr' => 'Bilgisayar adı, port ve protokol üzerine kontroller',
+		'ja' => 'ホストネームやポート、プロトコルを診断',
 	),
 	'link_phpinfo' => array (
 		'no' => 'PHPinfo',
@@ -515,6 +540,7 @@
 		'pt' => 'PHP info',
 		'pt-BR' => 'Informações do PHP',
 		'tr' => 'PHP info',
+		'ja' => 'PHP info',
 	),
 	'link_configcheck' => array (
 		'no' => 'Sjekk av simpleSAMLphp konfigurasjonsfiler',
@@ -534,6 +560,7 @@
 		'pt' => 'Teste da configuração do simpleSAMLphp',
 		'pt-BR' => 'Checar a configuração do simpleSAMLphp',
 		'tr' => 'simpleSAMLphp konfigürasyon kontrolü',
+		'ja' => 'simpleSAMLphp 設定確認',
 	),
 	'link_meta_overview' => array (
 		'no' => 'Oversikt over metadata for din installasjon. Diagnostiser metadatafilene her.',
@@ -554,6 +581,7 @@
 		'pt' => 'Diagnósticos: ficheiros de metadados, vista geral de metadados da sua instalação',
 		'pt-BR' => 'Metadados para sua instalação. Diagnosticar seus arquivos metadados',
 		'tr' => 'Kurulumunuz için üstveri (metadata) bilgisi. Üstveri dosyalarınızı kontrol edin.',
+		'ja' => 'メタデータの概要。メタデータファイルを診断します。',
 	),
 	'link_meta_saml2sphosted' => array (
 		'no' => 'Hosted SAML 2.0 Service Provider Metadata (automatisk generert)',
@@ -574,6 +602,7 @@
 		'pt' => 'Metadados do fornecedor de serviço (SP) SAML 2.0 local (gerado automaticamente)',
 		'pt-BR' => 'Hospedado SAML 2.0 Service Provider Metadata (gerado automaticamente)',
 		'tr' => 'Sunulan SAML 2.0 Servis Sağlayıcı Üstverisi (metadata) (otomatik olarak üretilmiştir)',
+		'ja' => 'ホスト SAML 2.0 サービスプロバイダメタデータ(自動生成)',
 	),
 	'link_meta_saml2idphosted' => array (
 		'no' => 'Hosted SAML 2.0 Identity Provider Metadata (automatisk generert)',
@@ -594,6 +623,7 @@
 		'pt' => 'Metadados do fornecedor de identidade (IdP) SAML 2.0 local (gerado automaticamente)',
 		'pt-BR' => 'Hospedado SAML 2.0 Identity Provider Metadata (gerado automaticamente)',
 		'tr' => 'Sunulan SAML 2.0 Kimlik Sağlayıcı Üstverisi (metadata) (otomatik olarak üretilmiştir)',
+		'ja' => 'ホスト SAML 2.0 アイデンティティプロバイダメタデータ(自動生成)',
 	),
 	'link_meta_shib13sphosted' => array (
 		'no' => 'Hosted Shibboleth 1.3 Service Provider Metadata (automatisk generert)',
@@ -614,6 +644,7 @@
 		'pt' => 'Metadados do fornecedor de serviço (SP) Shibboleth 1.3 local (gerado automaticamente)',
 		'pt-BR' => 'Hospedado Shibboleth 1.3 Service Provider Metadata (gerado automaticamente)',
 		'tr' => 'Sunulan Shibboleth 1.3 Servis Sağlayıcı Üstverisi (metadata) (otomatik olarak üretilmiştir)',
+		'ja' => 'ホスト Shibboleth 1.3 サービスプロバイダメタデータ(自動生成)',
 	),
 	'link_meta_shib13idphosted' => array (
 		'no' => 'Hosted Shibboleth 1.3 Identity Provider Metadata (automatisk generert)',
@@ -634,6 +665,7 @@
 		'pt' => 'Metadados do fornecedor de identidade (IdP) Shibboleth 1.3 local (gerado automaticamente)',
 		'pt-BR' => 'Hospedado Shibboleth 1.3 Identity Provider Metadata (gerado automaticamente)',
 		'tr' => 'Sunulan Shibboleth 1.3 Kimlik Sağlayıcı Üstverisi (metadata) (otomatik olarak üretilmiştir)',
+		'ja' => 'ホスト Shibboleth 1.3 アイデンティティプロバイダメタデータ (自動生成)',
 	),
 	'link_cleardiscochoices' => array (
 		'no' => 'Slett mitt valg av IdP i IdP discovery tjenestene',
@@ -653,6 +685,7 @@
 		'pt' => 'Remover as minhas escolhas de IdP nos serviços de descoberta de IdP',
 		'pt-BR' => 'Excluir minhas escolhas de IdP no serviço de descoberta de IdP',
 		'tr' => 'IdP tanıtım servisleri arasındaki IdP seçimlerimi sil',
+		'ja' => 'IdPディスカバリサービス内のIdpの選択を削除する',
 	),
 	'link_xmlconvert' => array (
 		'no' => 'XML til simpleSAMLphp metadata-oversetter',
@@ -673,6 +706,7 @@
 		'pt' => 'Conversor de metadados de XML para simpleSAMLphp',
 		'pt-BR' => 'Conversor de XML para metadata do simpleSAMLphp',
 		'tr' => 'XML\'den simpleSAMLphp\'e üstveri (metadata) dönüştürücü',
+		'ja' => 'XML を simpleSAMLphpメタデータに変換',
 	),
 	'link_doc_install' => array (
 		'no' => 'Installerer simpleSAMLphp',
@@ -693,6 +727,7 @@
 		'pt' => 'Instalar o simpleSAMLphp',
 		'pt-BR' => 'Instalando o simpleSAMLphp',
 		'tr' => 'simpleSAMLphp kuruluyor',
+		'ja' => 'simpleSAMLphpのインストール',
 	),
 	'link_doc_sp' => array (
 		'no' => 'Bruk simpleSAMLphp som Service Provider',
@@ -713,6 +748,8 @@
 		'pt' => 'Usar o simpleSAMLphp como um fornecedor de serviço (SP)',
 		'pt-BR' => 'Usando o simpleSAMLphp como Provedor de Serviços',
 		'tr' => 'simpleSAMLphp\'i Servis Sağlayıcı (SP) olarak kullanmak',
+		'ja' => 'simpleSAMLphpをサービスプロバイダとして使用する',
+
 	),
 	'link_doc_idp' => array (
 		'no' => 'Bruk simpleSAMLphp som identitetstjeneste',
@@ -733,6 +770,7 @@
 		'pt' => 'Usar o simpleSAMLphp como um fornecedor de identidade (IdP)',
 		'pt-BR' => 'Usando o simpleSAMLphp como Provedor de Identidade',
 		'tr' => 'simpleSAMLphp\'i Kimlik Sağlayıcı (IdP) olarak kullanmak',
+		'ja' => 'simpleSAMLphpをアイデンティティプロバイダとして使用する',
 	),
 	'link_doc_shibsp' => array (
 		'no' => 'Konfigurer Shibboleth 1.3 SP for å fungere sammen med simpleSAMLphp identitetstjeneste',
@@ -753,6 +791,7 @@
 		'pt' => 'Configurar um SP Shibboleth 1.3 para funcionar com um IdP simpleSAMLphp',
 		'pt-BR' => 'Configurando o Shibboleth 1.3 SP para trabalhar com o simpleSAMLphp Idp',
 		'tr' => 'Shibboleth 1.3 SP\'yi simpleSAMLphp IdP ile çalışması için düzenle',
+		'ja' => 'simpleSAMLphp IdP と 連携する Shibboleth SP 1.3 として設定',
 	),
 	'link_doc_googleapps' => array (
 		'no' => 'simpleSAMLphp som identitetstjeneste for Google Apps for Education',
@@ -773,6 +812,7 @@
 		'pt' => 'Configurar o simpleSAMLphp  para funcionar como um IdP para o Google Apps for Education',
 		'pt-BR' => 'simpleSAMLphp como um IdP para o Google Apps Educacional',
 		'tr' => '"Google Apps for Education" için kimlik sağlayıcı (IdP) olarak simpleSAMLphp ',
+		'ja' => 'simpleSAMLphp を Google Apps for Education の為のIdPとして設定',
 	),
 	'link_doc_advanced' => array (
 		'no' => 'simpleSAMLphp avansert funksjonalitet',
@@ -793,6 +833,7 @@
 		'pt' => 'Funcionalidades avançadas do simpleSAMLphp',
 		'pt-BR' => 'Recursos avançados do simpleSAMLphp',
 		'tr' => 'simpleSAMLphp Gelişmiş Özellikler',
+		'ja' => 'simpleSAMLphp の高度な機能',
 	),
 	'link_doc_maintenance' => array (
 		'no' => 'simpleSAMLphp vedlikehold og konfigurasjon',
@@ -813,6 +854,7 @@
 		'pt' => 'Configuração e manutenção do simpleSAMLphp',
 		'pt-BR' => 'Manutenção e Configuração do simpleSAMLphp',
 		'tr' => 'simpleSAMLphp Bakım ve Düzenleme',
+		'ja' => 'simpleSAMLphp のメンテナンスと設定',
 	),
 	'link_publish_saml20-idp' => array (
 		'no' => 'Publiser mine SAML 2.0 IdP metadata til den konfigurerte MetaShare',
@@ -896,6 +938,7 @@
 		'nl' => 'Authenticatie',
 		'sl' => 'Avtentikacija',
 		'tr' => 'Kimlik Doğrulama',
+		'ja' => '認証',
 	),
 	'federation' => array (
 		'no' => 'Føderasjon',
@@ -907,6 +950,7 @@
 		'nl' => 'Federatie',
 		'sl' => 'Federacija',
 		'tr' => 'Federasyon',
+		'ja' => '連携',
 	),
 	'authtest' => array (
 		'no' => 'Test konfigurerte autentiseringskilder',
@@ -918,6 +962,7 @@
 		'nl' => 'Test geconfigureerde authenticatiebronnen',
 		'sl' => 'Preveri izbrani avtentikacijski mehanizem ',
 		'tr' => 'Düzenlenmiş kimlik doğrulama kaynaklarını test et',
+		'ja' => '設定されている認証元をテスト',
 	),
 	'deprecated' => array (
 		'no' => 'Utdatert',
@@ -926,9 +971,10 @@
 		'es' => 'Obsoleto',
 		'nl' => 'Verouderd',
 		'sl' => 'Neustrezen',
+		'ja' => '古い',
 	),
 
 );
 
 
-?>
\ No newline at end of file
+?>
Index: modules/modinfo/dictionaries/dict.php
===================================================================
--- modules/modinfo/dictionaries/dict.php	(revision 2051)
+++ modules/modinfo/dictionaries/dict.php	(working copy)
@@ -3,18 +3,23 @@
 $lang = array(
 	'modlist_header' => array (
 		'en' => 'Available modules',
+		'ja' => '有効なモジュール',
 	),
 	'modlist_name' => array (
 		'en' => 'Name',
+		'ja' => '名前',
 	),
 	'modlist_status' => array (
 		'en' => 'Status',
+		'ja' => 'ステータス',
 	),
 	'modlist_enabled' => array (
 		'en' => 'Enabled',
+		'ja' => '有効',
 	),
 	'modlist_disabled' => array (
 		'en' => 'Disabled',
+		'ja' => '無効',
 	),
 
 );
Index: dictionaries/logout.php
===================================================================
--- dictionaries/logout.php	(revision 2051)
+++ dictionaries/logout.php	(working copy)
@@ -28,6 +28,7 @@
 		'pt' => 'Saída efectuada com sucesso',
 		'pt-BR' => 'Desconectado',
 		'tr' => 'Çıktınız',
+		'ja' => 'ログアウト',
 	),
 	'logged_out_text' => array (
 		'no' => 'Du er nå utlogget.',
@@ -47,6 +48,7 @@
 		'pt' => 'Saída efectuada com sucesso. Obrigado por ter usado este serviço.',
 		'pt-BR' => 'Você foi desconectado. Obrigado por usar este serviço.',
 		'tr' => 'Çıktınız',
+		'ja' => 'あなたはログアウトしました。',
 	),
 	'default_link_text' => array (
 		'no' => 'Gå tilbake til simpleSAMLphp installasjonen sin startside.',
@@ -66,6 +68,7 @@
 		'pt' => 'Voltar à página de instalação do simpleSAMLphp',
 		'pt-BR' => 'Voltar a instalação do simpleSAMLphp',
 		'tr' => 'simpleSAMLphp kurulum sayfasına geri dön',
+		'ja' => 'simpleSAMLphp の設定ページに戻る',
 	),
 	'loggedoutfrom' => array (
 		'no' => 'Du er nå logget ut fra %SP%.',
@@ -83,6 +86,7 @@
 		'pl' => 'Zostałeś pomyślnie wylogowany z %SP%.',
 		'pt' => 'Saiu com sucesso de %SP%.',
 		'tr' => '%SP%\'den başarıyla çıktınız.',
+		'ja' => 'あなたは %SP% からのログアウトに成功しました。',
 	),
 	'also_from' => array (
 		'no' => 'Du er også logget inn på disse tjenestene:',
@@ -100,6 +104,7 @@
 		'pl' => 'Jesteś także zalogowany w nastepujących serwisach:',
 		'pt' => 'Está também autenticado nos seguintes serviços:',
 		'tr' => 'Ayrıca şu servislere giriş yaptınız:',
+		'ja' => 'あなたはまだこれらのサービスにログインしています:',
 	),
 	'no' => array (
 		'no' => 'Nei',
@@ -117,6 +122,7 @@
 		'pl' => 'Nie',
 		'pt' => 'Não',
 		'tr' => 'Hayır',
+		'ja' => 'いいえ',
 	),
 	'logout_all_question' => array (
 		'no' => 'Vil du logge ut fra alle tjenestene ovenfor?',
@@ -133,6 +139,7 @@
 		'pl' => 'Czy chcesz zostać wylogowany z powyższych serwisów?',
 		'pt' => 'Deseja sair de todos os serviços listados em cima?',
 		'tr' => 'Yukarıdaki tüm servislerden çıkmak istiyor musunuz?',
+		'ja' => '上記の全てのサービスからログアウトしますか?',
 	),
 	'logout_all' => array (
 		'no' => 'Ja, alle tjenestene over',
@@ -150,6 +157,7 @@
 		'pl' => 'Tak, wszystkie serwisy',
 		'pt' => 'Sim, todos os serviços',
 		'tr' => 'Evet, tüm servisler.',
+		'ja' => 'はい、全てのサービスからログアウトします',
 	),
 	'logout_only' => array (
 		'no' => 'Nei, bare %SP%',
@@ -167,6 +175,7 @@
 		'pl' => 'Nie, tylko %SP%',
 		'pt' => 'Não, apenas %SP%',
 		'tr' => 'Hayır, sadece %SP%',
+		'ja' => 'いいえ、%SP% のみログアウトします',
 	),
 	'incapablesps' => array (
 		'no' => 'En eller flere av tjenestene du er logget inn på <i>støtter ikke logout</i>. Lukk nettleseren, dersom du ønsker å logge ut fra disse tjenestene.',
Index: dictionaries/errors.php
===================================================================
--- dictionaries/errors.php	(revision 2051)
+++ dictionaries/errors.php	(working copy)
@@ -29,6 +29,7 @@
 		'pt' => 'Erro no simpleSAMLphp',
 		'pt-BR' => 'Erro do simpleSAMLphp',
 		'tr' => 'simpleSAMLphp hatası',
+		'ja' => 'simpleSAMLphp エラー',
 	),
 	'report_trackid' => array (
 		'no' => 'Hvis vil rapportere denne feilen, send også med denne sporings-IDen. Den gjør det enklere for systemadministratorene å finne ut hva som gikk galt:',
@@ -69,6 +70,7 @@
 		'pt' => 'Informação de debug',
 		'pt-BR' => 'Informação do Debug',
 		'tr' => 'Hata ayıklama bilgisi',
+		'ja' => 'デバッグ情報',
 	),
 	'debuginfo_text' => array (
 		'no' => 'Detaljene nedenfor kan være av interesse for administratoren / brukerstøtte:',
Index: dictionaries/disco.php
===================================================================
--- dictionaries/disco.php	(revision 2051)
+++ dictionaries/disco.php	(working copy)
@@ -29,6 +29,7 @@
 		'pt' => 'Escolha o seu fornecedor de identidade (IdP)',
 		'pt-BR' => 'Selecione seu provedor de identidade',
 		'tr' => 'Kimlik sağlayıcınızı seçiniz.',
+		'ja' => 'アイデンティティプロバイダを選択してください',
 	),
 	'selectidp_full' => array (
 		'no' => 'Vennligst velg hvilken identitetsleverandør du vil bruke for å logge inn:',
@@ -49,6 +50,7 @@
 		'pt' => 'Por favor, escolha o  fornecedor de identidade (IdP) que irá usar para se autenticar:',
 		'pt-BR' => 'Por favor selecione o provedor de identidade ao qual deseja se autenticar',
 		'tr' => 'Lütfen, kimlik doğrulaması yapacağınız kimlik sağlayıcıyı seçiniz: ',
+		'ja' => '認証を行いたいアイデンティティプロバイダを選択してください:',
 	),
 	'select' => array (
 		'no' => 'Velg',
@@ -69,6 +71,7 @@
 		'pt' => 'Escolher',
 		'pt-BR' => 'Selecione',
 		'tr' => 'Seç',
+		'ja' => '選択',
 	),
 	'remember' => array (
 		'no' => 'Husk mitt valg',
@@ -89,6 +92,7 @@
 		'pt' => 'Lembrar esta escolha',
 		'pt-BR' => 'Lembrar minha escolha',
 		'tr' => 'Seçimimi hatırla',
+		'ja' => '選択を記憶する',
 	),
 	'icon_prefered_idp' => array (
 		'no' => '[Foretrukket valg]',
@@ -104,6 +108,7 @@
 		'pl' => 'Preferowany wybór',
 		'pt' => 'Escolha preferida',
 		'tr' => '[Tercih edilen seçenek]',
+		'ja' => '[推奨する選択]',
 	),
 	'previous_auth' => array (
 		'no' => 'Du har tidligere valg å autentisere deg hos',
@@ -112,6 +117,7 @@
 		'es' => 'Previamente solicitó autenticarse en',
 		'nl' => 'Je hebt eerder gekozen voor authenticatie bij',
 		'sl' => 'Predhodnje ste se prijavljali že pri',
+		'ja' => '前回選択した認証: ',
 	),
 	'login_at' => array (
 		'no' => 'Logg inn hos',
@@ -120,6 +126,7 @@
 		'es' => 'Identificarse en',
 		'nl' => 'Inloggen bij',
 		'sl' => 'Prijavi se pri',
+		'ja' => 'ログイン: ',
 	),
 
 );
Index: dictionaries/status.php
===================================================================
--- dictionaries/status.php	(revision 2051)
+++ dictionaries/status.php	(working copy)
@@ -28,6 +28,7 @@
 		'pt' => 'Exemplo de demonstração do SP SAML 2.0',
 		'pt-BR' => 'SAML 2.0 SP Exemplo',
 		'tr' => 'SAML 2.0 SP Demo Örneği',
+		'ja' => 'SAML 2.0 SP デモ例',
 	),
 	'header_shib' => array (
 		'no' => 'Shibboleth Demo',
@@ -47,6 +48,7 @@
 		'pt' => 'Exemplo de demonstração do SP Shibboleth 1.3',
 		'pt-BR' => 'Shibboleth Demo',
 		'tr' => 'Shibboleth demo',
+		'ja' => 'Shibboleth デモ',
 	),
 	'header_wsfed' => array (
 		'no' => 'WS-Fed SP Demo Eksempel',
@@ -66,6 +68,7 @@
 		'pt' => 'Exemplo de demonstração do SP WS-Fed',
 		'pt-BR' => 'WS-Fed SP Exemplo',
 		'tr' => 'WS-Fed SP Demo Örneği',
+		'ja' => 'WS-Fed SP デモ例',
 	),
 	'header_diagnostics' => array (
 		'no' => 'SimpleSAMLphp diagnostikk',
@@ -85,6 +88,7 @@
 		'pt' => 'Diagnósticos do simpleSAMLphp',
 		'pt-BR' => 'Diagnósticos do SimpleSAMLphp',
 		'tr' => 'SimpleSAMLphp Kontroller',
+		'ja' => 'SimpleSAMLphp 診断',
 	),
 	'some_error_occured' => array (
 		'no' => 'En feil har oppstått',
@@ -104,6 +108,7 @@
 		'pt' => 'Ocorreu um erro',
 		'pt-BR' => 'Ocorreu algum erro',
 		'tr' => 'Hata oluştu',
+		'ja' => '幾つかのエラーが発生しました',
 	),
 	'intro' => array (
 		'no' => 'Hei, dette er en statusside på simpleSAMLphp. Her kan du se om sesjonen din er timet ut, hvor lenge det er til den timer ut og attributter som er knyttet til din sesjon.',
@@ -123,6 +128,7 @@
 		'pt' => 'Está na página de status do simpleSAMLphp. Aqui poderá consultar informações sobre a sua sessão: o tempo de expiração e os seus atributos.',
 		'pt-BR' => 'Olá, esta é a página de status simpleSAMLphp. Aqui você pode ver é se a sua sessão expirou, o tempo que dura até ele expirar e todos os atributos que estão anexados à sua sessão.',
 		'tr' => 'Merhaba, bu simpleSAMLphp durum sayfasıdır. Oturumunuzun süresinin dolup dolmadığını, oturumunuzun ne kadar sürdüğünü ve oturumunuza ait tüm bilgileri buradan görebilirsiniz.',
+		'ja' => 'こんにちは、ここは simpleSAMLphpのステータスページです。ここではセッションのタイムアウト時間やセッションに結びつけられた属性情報を見ることが出来ます。',
 	),
 	'validfor' => array (
 		'no' => 'Din sesjon er gyldig i %SECONDS% sekunder fra nå.',
@@ -142,6 +148,7 @@
 		'pt' => 'A sua sessão é válida por %SECONDS% segundos.',
 		'pt-BR' => 'Sua sessão é válida por %SECONDS% segundos a partir de agora.',
 		'tr' => 'Oturumunuz, şu andan itibaren %SECONDS% saniyeliğine geçerlidir.',
+		'ja' => 'セッションは今から %SECONDS% 秒間有効です',
 	),
 	'sessionsize' => array (
 		'no' => 'Sesjons størrelse: %SIZE%',
@@ -161,6 +168,7 @@
 		'pt' => 'Tamanho da sessão: %SIZE%',
 		'pt-BR' => 'Tamanho da sessão: %SIZE%',
 		'tr' => 'Oturum büyüklüğü: %SIZE%',
+		'ja' => 'セッションサイズ: %SIZE%',
 	),
 	'attributes_header' => array (
 		'no' => 'Dine attributter',
@@ -180,6 +188,7 @@
 		'pt' => 'Os seus atributos',
 		'pt-BR' => 'Seus atributos',
 		'tr' => 'Bilgileriniz',
+		'ja' => '属性',
 	),
 	'logout' => array (
 		'no' => 'Logg ut',
@@ -199,6 +208,7 @@
 		'pt' => 'Sair',
 		'pt-BR' => 'Desconectar',
 		'tr' => 'Çıkış',
+		'ja' => 'ログアウト',
 	),
 
 );
Index: dictionaries/attributes.php
===================================================================
--- dictionaries/attributes.php	(revision 2051)
+++ dictionaries/attributes.php	(working copy)
@@ -30,6 +30,7 @@
 		'pt' => 'Nome completo',
 		'pt-BR' => 'Nome Comum (CN)',
 		'tr' => 'Ortak ad',
+		'ja' => 'フルネーム(CN)',
 	),
 	'attribute_dc' => array (
 		'no' => 'Navneledd (DC)',
@@ -49,6 +50,7 @@
 		'pt' => 'Componente de domínio',
 		'pt-BR' => 'Componente do Domínio (DC)',
 		'tr' => 'Alan bileşeni',
+		'ja' => 'ドメインコンポーネント(DC)',
 	),
 	'attribute_displayname' => array (
 		'no' => 'Navn som normalt vises',
@@ -68,6 +70,7 @@
 		'pt' => 'Nome de apresentação',
 		'pt-BR' => 'Nome a ser mostrado',
 		'tr' => 'Görüntülenen isim',
+		'ja' => '表示名',
 	),
 	'attribute_facsimiletelephonenumber' => array (
 		'no' => 'Faksnummer',
@@ -87,6 +90,7 @@
 		'pt' => 'Número de Fax',
 		'pt-BR' => 'Número do Fax',
 		'tr' => 'Faks numarası',
+		'ja' => 'Fax番号',
 	),
 	'attribute_givenname' => array (
 		'no' => 'Fornavn',
@@ -108,6 +112,7 @@
 		'pt' => 'Nome Próprio',
 		'pt-BR' => 'Nome',
 		'tr' => 'Verilen isim',
+		'ja' => '名',
 	),
 	'attribute_homephone' => array (
 		'no' => 'Hjemmetelefon',
@@ -127,6 +132,7 @@
 		'pt' => 'Telefone de residência',
 		'pt-BR' => 'Telefone fixo',
 		'tr' => 'Ev telefonu',
+		'ja' => '電話番号',
 	),
 	'attribute_homepostaladdress' => array (
 		'no' => 'Postadresse hjemme',
@@ -146,6 +152,7 @@
 		'pt' => 'Morada de redidência',
 		'pt-BR' => 'Endereço residencial',
 		'tr' => 'Ev posta adresi',
+		'ja' => '住所',
 	),
 	'attribute_jpegphoto' => array (
 		'no' => 'JPEG-foto',
@@ -165,6 +172,7 @@
 		'pt' => 'Foto JPEG',
 		'pt-BR' => 'Foto JPEG',
 		'tr' => 'JPEG fotoğraf',
+		'ja' => 'JPEG写真',
 	),
 	'attribute_l' => array (
 		'no' => 'Sted',
@@ -184,6 +192,7 @@
 		'pt' => 'Localidade',
 		'pt-BR' => 'Localidade',
 		'tr' => 'Bölge',
+		'ja' => '地域',
 	),
 	'attribute_labeleduri' => array (
 		'no' => 'URI med valgfri tilleggskommentar',
@@ -203,6 +212,7 @@
 		'pt' => 'Página web',
 		'pt-BR' => 'URI rotulado',
 		'tr' => 'Etiketlenen URI',
+		'ja' => 'URI',
 	),
 	'attribute_mail' => array (
 		'no' => 'E-post',
@@ -224,6 +234,7 @@
 		'pt' => 'E-mail',
 		'pt-BR' => 'E-mail',
 		'tr' => 'Posta',
+		'ja' => 'メールアドレス(MAIL)',
 	),
 	'attribute_manager' => array (
 		'no' => 'Overordnet',
@@ -243,6 +254,7 @@
 		'pt' => 'Responsável hierárquico',
 		'pt-BR' => 'Administrador',
 		'tr' => 'Yönetici',
+		'ja' => '管理者',
 	),
 	'attribute_mobile' => array (
 		'no' => 'Mobiltelefon',
@@ -264,6 +276,7 @@
 		'pt' => 'Telemóvel',
 		'pt-BR' => 'Celular',
 		'tr' => 'Cep telefonu numarası',
+		'ja' => '携帯電話',
 	),
 	'attribute_o' => array (
 		'no' => 'Navn på organisasjon',
@@ -284,6 +297,7 @@
 		'pt' => 'Nome da organização',
 		'pt-BR' => 'Nome da Organização (O)',
 		'tr' => 'Organizasyon adı',
+		'ja' => '組織名(O)',
 	),
 	'attribute_ou' => array (
 		'no' => 'Organisasjonsenhet',
@@ -303,6 +317,7 @@
 		'pt' => 'Unidade organizacional',
 		'pt-BR' => 'Unidade Organizacional (OU)',
 		'tr' => 'Organizasyonel birim',
+		'ja' => '部門(OU)',
 	),
 	'attribute_postaladdress' => array (
 		'no' => 'Postadresse',
@@ -322,6 +337,7 @@
 		'pt' => 'Morada',
 		'pt-BR' => 'Endereço',
 		'tr' => 'Posta adresi',
+		'ja' => '住所',
 	),
 	'attribute_postalcode' => array (
 		'no' => 'Postnummer',
@@ -341,6 +357,7 @@
 		'pt' => 'Código Postal',
 		'pt-BR' => 'CEP',
 		'tr' => 'Posta kodu',
+		'ja' => '郵便番号',
 	),
 	'attribute_postofficebox' => array (
 		'no' => 'Postboks',
@@ -360,6 +377,7 @@
 		'pt' => 'Apartado',
 		'pt-BR' => 'Caixa Postal',
 		'tr' => 'Posta kutusu',
+		'ja' => 'オフィスボックスポスト',
 	),
 	'attribute_preferredlanguage' => array (
 		'no' => 'Foretrukket språk',
@@ -381,6 +399,7 @@
 		'pt' => 'Idioma',
 		'pt-BR' => 'Linguagem preferida',
 		'tr' => 'Tercih edilen dil',
+		'ja' => '言語',
 	),
 	'attribute_sn' => array (
 		'no' => 'Etternavn',
@@ -402,6 +421,7 @@
 		'pt' => 'Nome de família',
 		'pt-BR' => 'Sobrenome',
 		'tr' => 'Soyadı',
+		'ja' => '姓',
 	),
 	'attribute_street' => array (
 		'no' => 'Gate',
@@ -421,6 +441,7 @@
 		'pt' => 'Rua',
 		'pt-BR' => 'Rua',
 		'tr' => 'Sokak',
+		'ja' => '番地',
 	),
 	'attribute_telephonenumber' => array (
 		'no' => 'Telefon',
@@ -440,6 +461,7 @@
 		'pt' => 'Telefone',
 		'pt-BR' => 'Número de Telefone',
 		'tr' => 'Telefon numarası',
+		'ja' => '電話番号',
 	),
 	'attribute_title' => array (
 		'no' => 'Tittel',
@@ -460,6 +482,7 @@
 		'pt' => 'Título',
 		'pt-BR' => 'Título',
 		'tr' => 'Başlık',
+		'ja' => 'タイトル',
 	),
 	'attribute_uid' => array (
 		'no' => 'Bruker-ID',
@@ -481,6 +504,7 @@
 		'pt' => 'Identificação de utilizador',
 		'pt-BR' => 'Identificação (UID)',
 		'tr' => 'Kullanıcı ID',
+		'ja' => 'ユーザーID(UID)',
 	),
 	'attribute_eduorghomepageuri' => array (
 		'no' => 'Organisasjonens hjemmeside',
@@ -500,6 +524,7 @@
 		'pt' => 'Página web da organização de origem',
 		'pt-BR' => 'Site da organização',
 		'tr' => 'Kurumsal websayfası',
+		'ja' => '組織のホームページ',
 	),
 	'attribute_eduorglegalname' => array (
 		'no' => 'Foretaksnavn',
@@ -519,6 +544,7 @@
 		'pt' => 'Nome legal da organização de origem',
 		'pt-BR' => 'Nome legal da Organização',
 		'tr' => 'Organizasyonu\'un resmi adı',
+		'ja' => '組織の正式名称',
 	),
 	'attribute_edupersonaffiliation' => array (
 		'no' => 'Tilhørighet',
@@ -540,6 +566,7 @@
 		'pt' => 'Afiliação com a organização de origem',
 		'pt-BR' => 'Filiação',
 		'tr' => 'Bağlantı',
+		'ja' => '所属',
 	),
 	'attribute_edupersonentitlement' => array (
 		'no' => 'Rettighet',
Index: dictionaries/login.php
===================================================================
--- dictionaries/login.php	(revision 2051)
+++ dictionaries/login.php	(working copy)
@@ -29,6 +29,7 @@
 		'pt' => 'Erro',
 		'pt-BR' => 'Erro',
 		'tr' => 'Hata',
+		'ja' => 'エラー',
 	),
 	'user_pass_header' => array (
 		'no' => 'Skriv inn brukernavn og passord',
@@ -49,6 +50,7 @@
 		'pt' => 'Introduza o seu nome de utilizador e senha',
 		'pt-BR' => 'Digite seu usuário e senha',
 		'tr' => 'Kullanıcı adı ve şifrenizi giriniz',
+		'ja' => 'ユーザー名とパスワードを入力してください',
 	),
 	'user_pass_text' => array (
 		'no' => 'En tjeneste har bedt om bekreftelse på din identitet. Skriv inn ditt brukernavn og passord for å autentisere deg.',
@@ -69,6 +71,7 @@
 		'pt' => 'Foi pedida a sua autenticação por um serviço. Por favor, introduza o seu nome de utilizador e senha nos campos seguintes.',
 		'pt-BR' => 'Um serviço que você pediu necessita que você se autentique. Digite seu nome de usuário e senha no formulário abaixo.',
 		'tr' => 'Bir servis kendinizi yetkilendirmenizi istedi. Lütfen aşağıdaki forma kullanıcı adınızı ve şifrenizi giriniz.',
+		'ja' => 'サービスはあなた自身の認証を要求しています。以下のフォームにユーザー名とパスワードを入力してください。',
 	),
 	'login_button' => array (
 		'no' => 'Logg inn',
@@ -90,6 +93,7 @@
 		'pt' => 'Entrar',
 		'pt-BR' => 'Acessar',
 		'tr' => 'Giriş',
+		'ja' => 'ログイン',
 	),
 	'username' => array (
 		'no' => 'Brukernavn',
@@ -111,6 +115,7 @@
 		'pt' => 'Nome de utilizador',
 		'pt-BR' => 'Usuário',
 		'tr' => 'Kullanıcı adı',
+		'ja' => 'ユーザー名',
 	),
 	'organization' => array (
 		'no' => 'Organisasjon',
@@ -132,6 +137,7 @@
 		'pt' => 'Organização',
 		'pt-BR' => 'Organização',
 		'tr' => 'Organizasyon',
+		'ja' => '組織',
 	),
 	'password' => array (
 		'no' => 'Passord',
@@ -153,6 +159,7 @@
 		'pt' => 'Senha',
 		'pt-BR' => 'Senha',
 		'tr' => 'Şifre',
+		'ja' => 'パスワード',
 	),
 	'help_header' => array (
 		'no' => 'Hjelp! Jeg har glemt passordet mitt.',
@@ -173,6 +180,7 @@
 		'pt' => 'Não me lembro da minha senha',
 		'pt-BR' => 'Ajude-me! Não lembro minha senha.',
 		'tr' => 'Yardım! Şifremi hatırlamıyorum.',
+		'ja' => 'たすけて! パスワードを思い出せません。',
 	),
 	'help_text' => array (
 		'no' => 'Synd! - Uten riktig brukernavn og passord kan du ikke autentisere deg. Det kan være noen som kan hjelpe deg. Forsøk å kontakt brukerstøtte ved din vertsorganisasjon.',
@@ -193,6 +201,7 @@
 		'pt' => 'Sem o seu nome de utilizador e senha não se pode autenticar para acesso ao serviço. Para obter ajuda, consulte o seu serviço de apoio ao utilizador.',
 		'pt-BR' => 'Muito mal! - Sem o seu nome de usuário e a senha você não pode autenticar-se para acessar o serviço. Pode haver alguém que possa lhe ajudar. Consulte a central de dúvidas!',
 		'tr' => 'Çok kötü! - Kullanıcı adınız ve şifreniz olmadan bu servisi kullanamazsınız. Size yardımcı olabilecek birileri olabilir. Kuruluşunuza danışın. ',
+		'ja' => 'お気の毒です! - ユーザー名とパスワードが無くてはサービスにアクセスする為にあなた自身を認証する事が出来ません。あなたの大学のヘルプデスクに相談すると、あなたの助けになってくれるでしょう。',
 	),
 	'error_nopassword' => array (
 		'no' => 'Du kontaktet loginsiden, men passordet ble ikke sendt med. Forsøk igjen.',
@@ -213,6 +222,7 @@
 		'pt' => 'A senha não foi enviada no seu pedido. Por favor tente de novo.',
 		'pt-BR' => 'Você enviou alguma coisa para a página de login, mas por alguma razão a senha não foi enviada. Por favor tente novamente.  ',
 		'tr' => 'Giriş sayfasına birşeyler gönderdiniz, fakat bazı nedenlerden dolayı şifreniz gönderilemedi. Lütfen tekrar deneyiniz.',
+		'ja' => 'あなたはログインページで何かを送信しましたが、何らかの理由でパスワードが送信されませんでした。再度試してみてください。',
 	),
 	'error_wrongpassword' => array (
 		'no' => 'Feil brukernavn eller passord.',
@@ -234,6 +244,7 @@
 		'pt' => 'Nome de utilizador ou senha incorrecta.',
 		'pt-BR' => 'Nome de usuário ou senha incorretos.',
 		'tr' => 'Kullanıcı adı ve/veya şifre yanlış.',
+		'ja' => 'ユーザー名かパスワードが間違っています。',
 	),
 	'select_home_org' => array (
 		'no' => 'Velg vertsorganisasjon',
@@ -253,6 +264,7 @@
 		'pt' => 'Escolha a sua organização de origem',
 		'pt-BR' => 'Escolha a sua organização principal',
 		'tr' => 'Organizasyonunuzu seçiniz',
+		'ja' => 'あなたの組織を選択してください',
 	),
 	'next' => array (
 		'no' => 'Fortsett',
@@ -272,6 +284,7 @@
 		'pt' => 'Seguinte',
 		'pt-BR' => 'Próximo',
 		'tr' => 'Sıradaki',
+		'ja' => '次へ',
 	),
 	'change_home_org_title' => array (
 		'no' => 'Endre din vertsorganisasjon',
@@ -291,6 +304,7 @@
 		'pt' => 'Alterar a sua organização de origem',
 		'pt-BR' => 'Mudar a organização principal',
 		'tr' => 'Organizasyonunuzu değiştirin',
+		'ja' => 'あなたの組織を変更してください',
 	),
 	'change_home_org_text' => array (
 		'no' => 'Du har valgt <b>%HOMEORG%</b> som din vertsorganisasjon. Dersom dette er feil kan du velge en annen.',
@@ -310,6 +324,7 @@
 		'pt' => 'Escolheu <b>%HOMEORG%</b> como a sua organização de origem. Se não estiver correcto, pode escolher outra.',
 		'pt-BR' => 'Você escolheu <b>%HOMEORG%</b> como sua organização pessoal. Se isto estiver incorreto você pode escolher outra.',
 		'tr' => '<b>%HOMEORG%</b>\'u organizasyonunuz olarak seçtiniz. Eğer yanlış ise, başka bir tanesini seçebilirsiniz.',
+		'ja' => 'あなたは <b>%HOMEORG%</b> を組織として選択しました。これに問題がある場合は他のものを選ぶ事も可能です。',
 	),
 	'change_home_org_button' => array (
 		'no' => 'Velg vertsorganisasjon',
@@ -329,6 +344,7 @@
 		'pt' => 'Escolha a sua organização de origem',
 		'pt-BR' => 'Escolher uma organização principal',
 		'tr' => 'Organizasyon seçiniz',
+		'ja' => '組織の選択',
 	),
 	'help_desk_link' => array (
 		'no' => 'Hjemmesiden til brukerstøtte',
@@ -348,6 +364,7 @@
 		'pt' => 'Página do serviço de apoio ao utilizador',
 		'pt-BR' => 'Central de Ajuda',
 		'tr' => 'Yardım anasayfası',
+		'ja' => 'ヘルプデスクページ',
 	),
 	'help_desk_email' => array (
 		'no' => 'Send e-post til brukerstøtte',
@@ -367,6 +384,7 @@
 		'pt' => 'Enviar um e-mail para o serviço de apoio ao utilizador',
 		'pt-BR' => 'Envie um e-mail para a Central de Ajuda.',
 		'tr' => 'Yardım\'a e-posta gönderin',
+		'ja' => 'ヘルプデスクにメールする',
 	),
 	'contact_info' => array (
 		'no' => 'Kontaktinformasjon:',
@@ -386,6 +404,7 @@
 		'pt' => 'Contactos:',
 		'pt-BR' => 'Informações de Contato',
 		'tr' => 'İletişim bilgileri:',
+		'ja' => '連絡先:',
 	),
 
 );
Index: dictionaries/admin.php
===================================================================
--- dictionaries/admin.php	(revision 2051)
+++ dictionaries/admin.php	(working copy)
@@ -1,4 +1,4 @@
-<?php
+/<?php
 
 /*
  * DO NOT EDIT THIS FILE MANUALLY.
@@ -25,6 +25,7 @@
 		'pt' => 'Verificação da configuração',
 		'pt-BR' => 'Verificar configuração',
 		'tr' => 'Konfigürasyon kontrolü',
+		'ja' => '設定確認',
 	),
 	'cfg_check_select_file' => array (
 		'no' => 'Velg hvilken konfigurasjonfil som skal sjekkes',
@@ -41,6 +42,7 @@
 		'pt' => 'Escolha o ficheiro de configuração a verificar:',
 		'pt-BR' => 'Selecione o arquivo de configuração para verificar',
 		'tr' => 'Kontrol edilecek konfigürasyon dosyasını seç:',
+		'ja' => '確認する設定ファイルを選択:',
 	),
 	'cfg_check_notices' => array (
 		'no' => 'Notiser',
@@ -57,6 +59,7 @@
 		'pt' => 'Observações',
 		'pt-BR' => 'Avisos',
 		'tr' => 'Notlar',
+		'ja' => 'お知らせ',
 	),
 	'cfg_check_missing' => array (
 		'no' => 'Mangler element i konfigurasjonsfilen',
@@ -73,6 +76,7 @@
 		'pt' => 'Opções ausentes do ficheiro de configuração',
 		'pt-BR' => 'Opções faltando no arquivo de configuração',
 		'tr' => 'Config dosyasındaki tercihler eksik',
+		'ja' => '設定ファイルにオプションが在りません',
 	),
 	'cfg_check_superfluous' => array (
 		'no' => 'Overføldig element i konfigurasjonsfilen',
@@ -89,6 +93,7 @@
 		'pt' => 'Opções supérfluas do ficheiro de configuração',
 		'pt-BR' => 'Opções supérfluas no arquivo de configuração',
 		'tr' => 'Config dosyasındaki gereksiz tercihler',
+		'ja' => '設定ファイルに不適切なオプションが在ります',
 	),
 	'cfg_check_noerrors' => array (
 		'no' => 'Ingen feil funnet',
@@ -105,6 +110,7 @@
 		'pt' => 'Não foram encontrados erros.',
 		'pt-BR' => 'Não foram encontrados erros.',
 		'tr' => 'Hata bulunmadı.',
+		'ja' => 'エラーは見つかりませんでした。',
 	),
 	'cfg_check_back' => array (
 		'no' => 'Gå tilbake til fil-listen',
@@ -121,6 +127,7 @@
 		'pt' => 'Voltar à lista de ficheiros',
 		'pt-BR' => 'Voltar a lista de arquivos',
 		'tr' => 'Dosya listesine geri dön',
+		'ja' => 'ファイルリストに戻る',
 	),
 	'metaover_header' => array (
 		'no' => 'Oversikt over metadata',
@@ -137,6 +144,7 @@
 		'pt' => 'Vista geral dos metadados',
 		'pt-BR' => 'Visão geral da metadata',
 		'tr' => 'Üstveri (metada) genel görünümü',
+		'ja' => 'メタデータの概要',
 	),
 	'metaover_intro' => array (
 		'no' => 'For å se på detaljene i en SAML-entitet, klikk på SAML-entitet overskriften',
@@ -559,6 +567,7 @@
 		'pt' => 'De seguida pode encontrar os metadados gerados pelo simpleSAMLphp. Pode enviar este documento de metadados aos seus parceiros para configurar uma federação.',
 		'pt-BR' => 'Aqui está a metadata que o simpleSAMLphp gerou para você. Você pode enviar este documento metadata para parceiros confiáveis para a configuração de uma federação confiável.',
 		'tr' => 'simpleSAMLphp\'nin sizin için ürettiği üstveri (metada). Bu üstveri dokümanını güvenilir bir federasyon kurmak için güvenilir paydaşlara gönderebilirsiniz.',
+		'ja' => 'ここは simpleSAMLphp が生成したメタデータがあります。あなたは信頼するパートナーにこのメタデータを送信し信頼された連携を構築出来ます。',
 	),
 	'metadata_xmlurl' => array (
 		'no' => 'Du kan nå <a href="%METAURL%">metadata i XML-format på en dedikert URL</a>:',
@@ -575,6 +584,7 @@
 		'pt' => 'Pode <a href="%METAURL%">obter os metadados em XML num URL dedicado</a>:',
 		'pt-BR' => 'Você pode obter as metadatas xml <a href="%METAURL%"> em uma URL dedicada</a>:',
 		'tr' => '<a href="%METAURL%">Üstveri xml\'ini bu bağlantıdan alabilirsiniz</a>:',
+		'ja' => '<a href="%METAURL%">このURLでメタデータのXMLを取得できます</a>:',
 	),
 	'metadata_metadata' => array (
 		'no' => 'Metadata',
@@ -591,6 +601,7 @@
 		'pt' => 'Metadados',
 		'pt-BR' => 'Metadata',
 		'tr' => 'Üstveri (metadata)',
+		'ja' => 'メタデータ',
 	),
 	'metadata_xmlformat' => array (
 		'no' => 'I SAML 2.0 Metadata XML Format:',
@@ -607,6 +618,7 @@
 		'pt' => 'Metadados no formato XML SAML 2.0',
 		'pt-BR' => 'Em formato SAML 2.0 Metadata XML',
 		'tr' => 'XML formatında SAML 2.0 SP Üstverisi (Metadata)',
+		'ja' => 'SAML 2.0 用のメタデータXMLフォーマット:',
 	),
 	'metadata_simplesamlformat' => array (
 		'no' => 'I simpleSAMLphp format - bruk denne dersom du benytter simpleSAMLphp i den andre enden:',
@@ -622,6 +634,7 @@
 		'pt' => 'Metadados no formato ficheiro de configuração do simpleSAMLphp. Use esta alternativa se usar uma entidade simpleSAMLphp no outro extremo:',
 		'pt-BR' => 'Em formato de arquivo plano simpleSAMLphp - use isso se você estiver usando uma entidade  simpleSAMLphp do outro lado:',
 		'tr' => 'Eğer diğer tarafta bir simpleSAMLphp elemanını kullanıyorsanız, düz simpleSAMLphp dosya biçiminde bunu kullanın:',
+		'ja' => 'simpleSAMLphp のファイルフォーマット - 片側でも simpleSAMLphpエンティティを使用する場合にこれを使用します:',
 	),
 	'metadata_send_success' => array (
 		'no' => 'Metadata er nå sendt på e-post til identitetsleverandøren.',
@@ -637,6 +650,7 @@
 		'pl' => 'Pomyślne wysłanie metadatanych do Dostawcy Tożsamości.',
 		'pt' => 'Metadados enviados com sucesso para o fornecedor de identidade.',
 		'tr' => 'Üstveri (metadata) Kimlik Sağlayıcıya başarıyla gönderildi.',
+		'ja' => 'メタデータをアイデンティティプロバイダに送信しました。',
 	),
 	'metadata_send_title2' => array (
 		'no' => 'Send metadata til din identitetsleverandør',
@@ -652,6 +666,7 @@
 		'pl' => 'Wyślij Metadane do Twojego IdP',
 		'pt' => 'Enviar os metadados para o seu IdP',
 		'tr' => 'Üstveri\'yi (metadata) IdP\'nize gönderin',
+		'ja' => 'メタデータを IdP へ送信する',
 	),
 	'metadata_send_select' => array (
 		'no' => 'Velg en identitetsleverandør som metadata skal sendes til :',
@@ -667,6 +682,8 @@
 		'pl' => 'Wybierz Dostawcę Tożsamości do którego wysłać Metadane:',
 		'pt' => 'Escolha um fornecedor de identidade (IdP) a quem enviar os metadados:',
 		'tr' => 'Üstveri (metadata) göndereceğiniz bir Kimlik Sağlayıcı seçin: ',
+		'ja' => 'メタデータを送信するアイデンティティプロバイダを選択してください:',
+
 	),
 	'metadata_send_adminlogin' => array (
 		'no' => 'Logg inn som administrator for å få tilgang til å sende metadata til en identitetsleverandør',
@@ -682,6 +699,7 @@
 		'pl' => 'Zaloguj jako administrator i wyślij metadane do Dostawcy Tożsamości',
 		'pt' => 'Entre como administrador para enviar os metadados a um fornecedor de identidade (IdP)',
 		'tr' => 'Kimlik sağlayıcıya üstveri (metadata) göndermek için yönetici olarak giriş yapın',
+		'ja' => 'メタデータをアイデンティティプロバイダへ送信するために管理者としてログインしてください',
 	),
 	'metadata_send_email2' => array (
 		'no' => 'Skriv inn din e-post adresse, slik at identitetsleverandøren kan komme i kontakt med deg:',
